package com.chinaitop.depot.business.mapper;

import com.chinaitop.depot.business.model.BusinessDeliveryStorageNotice;
import com.chinaitop.depot.business.model.BusinessDeliveryStorageNoticeExample;
import com.chinaitop.depot.business.model.vo.BusinessDeliveryStorageNoticeAuditVO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BusinessDeliveryStorageNoticeMapper {
    int countByExample(BusinessDeliveryStorageNoticeExample example);

    int deleteByExample(BusinessDeliveryStorageNoticeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessDeliveryStorageNotice record);

    int insertSelective(BusinessDeliveryStorageNotice record);

    List<BusinessDeliveryStorageNotice> selectByExample(BusinessDeliveryStorageNoticeExample example);

    BusinessDeliveryStorageNotice selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessDeliveryStorageNotice record, @Param("example") BusinessDeliveryStorageNoticeExample example);

    int updateByExample(@Param("record") BusinessDeliveryStorageNotice record, @Param("example") BusinessDeliveryStorageNoticeExample example);

    int updateByPrimaryKeySelective(BusinessDeliveryStorageNotice record);

    int updateByPrimaryKey(BusinessDeliveryStorageNotice record);

    /**
     * @param paramMap
     * @return
     */
    List<BusinessDeliveryStorageNoticeAuditVO> getApprovalList(Map<String, Object> paramMap);

    /**
     * @param paramMap
     */
    void updateApplication(Map<String, Object> paramMap);

    /**
     * @param example
     * @return
     */
    List<BusinessDeliveryStorageNoticeAuditVO> selectByExampleToVO(
            BusinessDeliveryStorageNoticeExample example);

    //统计出入库数据
	List<BusinessDeliveryStorageNotice> countTj();

	//根据通知单状态查询数据--主表
    List<Map<String,Object>> uploadNoticeData(Map<String,Object> map);

	List<Map<String, Object>> getNoticeData(Map<String, Object> mapCondition1);
}