package com.chinaitop.depot.business.model;

import java.util.Date;

public class BusinessDeliveryStorageNotice {
    private Integer id;

    private String billType;

    private Integer billTypeId;

    private String billNumber;

    private String shipingCount;

    private String finishedCount;

    private String receivedMoney;

    private Integer customerBid;

    private String customerNumber;

    private String mobile;

    private String deliveryCustomer;

    private String contract;

    private Integer contractBid;

    private String planNumber;

    private Integer planBid;

    private String billMemo;

    private String grainPrice;

    private String moneyQuantity;

    private Integer grainAnnual;

    private Integer warehouse;

    private Integer goodsLocation;

    private String auditState;

    private Date storageTime;

    private String processInstanceId;

    private String processDefinitionId;

    private String qualityStandard;

    private Date agreeTime;

    private String billMan;

    private Date billDate;

    private String billUnit;

    private Integer houseId;

    private String houseName;

    private Integer warehouseId;

    private String warehouseName;

    private String creater;

    private Date createTime;

    private String createUnit;

    private String createDepot;

    private Date updateTime;

    private Integer orgId;

    private Integer inApplication;

    private Integer createrId;

    private Integer rootContractBid;

    private String identification;

    private String carnumber;
    
    //业务字段(用于通知单新增)
    private Integer grainProducingArea;
    

    public Integer getGrainProducingArea() {
		return grainProducingArea;
	}

	public void setGrainProducingArea(Integer grainProducingArea) {
		this.grainProducingArea = grainProducingArea;
	}
	
	
	//业务字段用于通知单列表展示仓房
    private String houseNames;
    
	public String getHouseNames() {
		return houseNames;
	}

	public void sethouseNames(String houseNames) {
		this.houseNames = houseNames;
	}

	/**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 凭证类型(1 入库凭证；3 出库凭证)
     * @return bill_type 凭证类型(1 入库凭证；3 出库凭证)
     */
    public String getBillType() {
        return billType;
    }

    /**
     * 凭证类型(1 入库凭证；3 出库凭证)
     * @param billType 凭证类型(1 入库凭证；3 出库凭证)
     */
    public void setBillType(String billType) {
        this.billType = billType == null ? null : billType.trim();
    }

    /**
     * 出入库通知单类型id
     * @return bill_type_id 出入库通知单类型id
     */
    public Integer getBillTypeId() {
        return billTypeId;
    }

    /**
     * 出入库通知单类型id
     * @param billTypeId 出入库通知单类型id
     */
    public void setBillTypeId(Integer billTypeId) {
        this.billTypeId = billTypeId;
    }

    /**
     * 通知单编号
     * @return bill_number 通知单编号
     */
    public String getBillNumber() {
        return billNumber;
    }

    /**
     * 通知单编号
     * @param billNumber 通知单编号
     */
    public void setBillNumber(String billNumber) {
        this.billNumber = billNumber == null ? null : billNumber.trim();
    }

    /**
     * 数量
     * @return shiping_count 数量
     */
    public String getShipingCount() {
        return shipingCount;
    }

    /**
     * 数量
     * @param shipingCount 数量
     */
    public void setShipingCount(String shipingCount) {
        this.shipingCount = shipingCount == null ? null : shipingCount.trim();
    }

    /**
     * 完成数量
     * @return finished_count 完成数量
     */
    public String getFinishedCount() {
        return finishedCount;
    }

    /**
     * 完成数量
     * @param finishedCount 完成数量
     */
    public void setFinishedCount(String finishedCount) {
        this.finishedCount = finishedCount == null ? null : finishedCount.trim();
    }

    /**
     * 已收到总金额
     * @return received_money 已收到总金额
     */
    public String getReceivedMoney() {
        return receivedMoney;
    }

    /**
     * 已收到总金额
     * @param receivedMoney 已收到总金额
     */
    public void setReceivedMoney(String receivedMoney) {
        this.receivedMoney = receivedMoney == null ? null : receivedMoney.trim();
    }

    /**
     * 客户id
     * @return customer_bid 客户id
     */
    public Integer getCustomerBid() {
        return customerBid;
    }

    /**
     * 客户id
     * @param customerBid 客户id
     */
    public void setCustomerBid(Integer customerBid) {
        this.customerBid = customerBid;
    }

    /**
     * 
     * @return customer_number 
     */
    public String getCustomerNumber() {
        return customerNumber;
    }

    /**
     * 
     * @param customerNumber 
     */
    public void setCustomerNumber(String customerNumber) {
        this.customerNumber = customerNumber == null ? null : customerNumber.trim();
    }

    /**
     * 联系电话
     * @return mobile 联系电话
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 联系电话
     * @param mobile 联系电话
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 单位名称(提货单的提货单位；或者是发货单的发货单位)
     * @return delivery_customer 单位名称(提货单的提货单位；或者是发货单的发货单位)
     */
    public String getDeliveryCustomer() {
        return deliveryCustomer;
    }

    /**
     * 单位名称(提货单的提货单位；或者是发货单的发货单位)
     * @param deliveryCustomer 单位名称(提货单的提货单位；或者是发货单的发货单位)
     */
    public void setDeliveryCustomer(String deliveryCustomer) {
        this.deliveryCustomer = deliveryCustomer == null ? null : deliveryCustomer.trim();
    }

    /**
     * 合同编号
     * @return contract 合同编号
     */
    public String getContract() {
        return contract;
    }

    /**
     * 合同编号
     * @param contract 合同编号
     */
    public void setContract(String contract) {
        this.contract = contract == null ? null : contract.trim();
    }

    /**
     * 合同id
     * @return contract_bid 合同id
     */
    public Integer getContractBid() {
        return contractBid;
    }

    /**
     * 合同id
     * @param contractBid 合同id
     */
    public void setContractBid(Integer contractBid) {
        this.contractBid = contractBid;
    }

    /**
     * 计划编号
     * @return plan_number 计划编号
     */
    public String getPlanNumber() {
        return planNumber;
    }

    /**
     * 计划编号
     * @param planNumber 计划编号
     */
    public void setPlanNumber(String planNumber) {
        this.planNumber = planNumber == null ? null : planNumber.trim();
    }

    /**
     * 计划id
     * @return plan_bid 计划id
     */
    public Integer getPlanBid() {
        return planBid;
    }

    /**
     * 计划id
     * @param planBid 计划id
     */
    public void setPlanBid(Integer planBid) {
        this.planBid = planBid;
    }

    /**
     * 备注
     * @return bill_memo 备注
     */
    public String getBillMemo() {
        return billMemo;
    }

    /**
     * 备注
     * @param billMemo 备注
     */
    public void setBillMemo(String billMemo) {
        this.billMemo = billMemo == null ? null : billMemo.trim();
    }

    /**
     * 
     * @return grain_price 
     */
    public String getGrainPrice() {
        return grainPrice;
    }

    /**
     * 
     * @param grainPrice 
     */
    public void setGrainPrice(String grainPrice) {
        this.grainPrice = grainPrice == null ? null : grainPrice.trim();
    }

    /**
     * 金额
     * @return money_quantity 金额
     */
    public String getMoneyQuantity() {
        return moneyQuantity;
    }

    /**
     * 金额
     * @param moneyQuantity 金额
     */
    public void setMoneyQuantity(String moneyQuantity) {
        this.moneyQuantity = moneyQuantity == null ? null : moneyQuantity.trim();
    }

    /**
     * 粮食年期
     * @return grain_annual 粮食年期
     */
    public Integer getGrainAnnual() {
        return grainAnnual;
    }

    /**
     * 粮食年期
     * @param grainAnnual 粮食年期
     */
    public void setGrainAnnual(Integer grainAnnual) {
        this.grainAnnual = grainAnnual;
    }

    /**
     * 绑定的仓库
     * @return warehouse 绑定的仓库
     */
    public Integer getWarehouse() {
        return warehouse;
    }

    /**
     * 绑定的仓库
     * @param warehouse 绑定的仓库
     */
    public void setWarehouse(Integer warehouse) {
        this.warehouse = warehouse;
    }

    /**
     * 绑定的仓房货位
     * @return goods_location 绑定的仓房货位
     */
    public Integer getGoodsLocation() {
        return goodsLocation;
    }

    /**
     * 绑定的仓房货位
     * @param goodsLocation 绑定的仓房货位
     */
    public void setGoodsLocation(Integer goodsLocation) {
        this.goodsLocation = goodsLocation;
    }

    /**
     * 审批状态 0待提交，1审批中，2同意，3驳回，4拒绝
     * @return audit_state 审批状态 0待提交，1审批中，2同意，3驳回，4拒绝
     */
    public String getAuditState() {
        return auditState;
    }

    /**
     * 审批状态 0待提交，1审批中，2同意，3驳回，4拒绝
     * @param auditState 审批状态 0待提交，1审批中，2同意，3驳回，4拒绝
     */
    public void setAuditState(String auditState) {
        this.auditState = auditState == null ? null : auditState.trim();
    }

    /**
     * 入库时间
     * @return storage_time 入库时间
     */
    public Date getStorageTime() {
        return storageTime;
    }

    /**
     * 入库时间
     * @param storageTime 入库时间
     */
    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    /**
     * 流程实例id
     * @return process_instance_id 流程实例id
     */
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    /**
     * 流程实例id
     * @param processInstanceId 流程实例id
     */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    /**
     * 流程定义id
     * @return process_definition_id 流程定义id
     */
    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    /**
     * 流程定义id
     * @param processDefinitionId 流程定义id
     */
    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId == null ? null : processDefinitionId.trim();
    }

    /**
     * 质量标准
     * @return quality_standard 质量标准
     */
    public String getQualityStandard() {
        return qualityStandard;
    }

    /**
     * 质量标准
     * @param qualityStandard 质量标准
     */
    public void setQualityStandard(String qualityStandard) {
        this.qualityStandard = qualityStandard == null ? null : qualityStandard.trim();
    }

    /**
     * 审批完成时间
     * @return agree_time 审批完成时间
     */
    public Date getAgreeTime() {
        return agreeTime;
    }

    /**
     * 审批完成时间
     * @param agreeTime 审批完成时间
     */
    public void setAgreeTime(Date agreeTime) {
        this.agreeTime = agreeTime;
    }

    /**
     * 开单人名称
     * @return bill_man 开单人名称
     */
    public String getBillMan() {
        return billMan;
    }

    /**
     * 开单人名称
     * @param billMan 开单人名称
     */
    public void setBillMan(String billMan) {
        this.billMan = billMan == null ? null : billMan.trim();
    }

    /**
     * 开单日期
     * @return bill_date 开单日期
     */
    public Date getBillDate() {
        return billDate;
    }

    /**
     * 开单日期
     * @param billDate 开单日期
     */
    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    /**
     * 开单单位
     * @return bill_unit 开单单位
     */
    public String getBillUnit() {
        return billUnit;
    }

    /**
     * 开单单位
     * @param billUnit 开单单位
     */
    public void setBillUnit(String billUnit) {
        this.billUnit = billUnit == null ? null : billUnit.trim();
    }

    /**
     * 仓房编号 仓房id
     * @return house_id 仓房编号 仓房id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房编号 仓房id
     * @param houseId 仓房编号 仓房id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 仓房名称
     * @return house_name 仓房名称
     */
    public String getHouseName() {
        return houseName;
    }

    /**
     * 仓房名称
     * @param houseName 仓房名称
     */
    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    /**
     * 货位号  货位id
     * @return warehouse_id 货位号  货位id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号  货位id
     * @param warehouseId 货位号  货位id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 货位名称
     * @return warehouse_name 货位名称
     */
    public String getWarehouseName() {
        return warehouseName;
    }

    /**
     * 货位名称
     * @param warehouseName 货位名称
     */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    /**
     * 
     * @return creater 
     */
    public String getCreater() {
        return creater;
    }

    /**
     * 
     * @param creater 
     */
    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    /**
     * 
     * @return create_time 
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 
     * @param createTime 
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return create_unit 
     */
    public String getCreateUnit() {
        return createUnit;
    }

    /**
     * 
     * @param createUnit 
     */
    public void setCreateUnit(String createUnit) {
        this.createUnit = createUnit == null ? null : createUnit.trim();
    }

    /**
     * 
     * @return create_depot 
     */
    public String getCreateDepot() {
        return createDepot;
    }

    /**
     * 
     * @param createDepot 
     */
    public void setCreateDepot(String createDepot) {
        this.createDepot = createDepot == null ? null : createDepot.trim();
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     * @return in_application 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     */
    public Integer getInApplication() {
        return inApplication;
    }

    /**
     * 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     * @param inApplication 启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停
     */
    public void setInApplication(Integer inApplication) {
        this.inApplication = inApplication;
    }

    /**
     * 
     * @return creater_id 
     */
    public Integer getCreaterId() {
        return createrId;
    }

    /**
     * 
     * @param createrId 
     */
    public void setCreaterId(Integer createrId) {
        this.createrId = createrId;
    }

    /**
     * 起始合同id
     * @return root_contract_bid 起始合同id
     */
    public Integer getRootContractBid() {
        return rootContractBid;
    }

    /**
     * 起始合同id
     * @param rootContractBid 起始合同id
     */
    public void setRootContractBid(Integer rootContractBid) {
        this.rootContractBid = rootContractBid;
    }

    /**
     * 证件号
     * @return identification 证件号
     */
    public String getIdentification() {
        return identification;
    }

    /**
     * 证件号
     * @param identification 证件号
     */
    public void setIdentification(String identification) {
        this.identification = identification == null ? null : identification.trim();
    }

    /**
     * 
     * @return carNumber 
     */
    public String getCarnumber() {
        return carnumber;
    }

    /**
     * 
     * @param carnumber 
     */
    public void setCarnumber(String carnumber) {
        this.carnumber = carnumber == null ? null : carnumber.trim();
    }
}