package com.chinaitop.depot.business.model;

import java.util.Date;

public class BusinessStoreWareDetail {
    private Integer id;

    private Integer zid;

    private String type;

    private Integer houseId;

    private String houseName;

    private Integer warehouseId;

    private String warehouseName;

    private Date createTime;

    private Integer orgId;

    private Integer grainKind;

    private Integer grainDetailKind;

    private Integer grainGrade;

    private Integer grainAttribute;

    private Integer grainAnnual;

    private Integer grainProducingArea;

    private String inPrice;

    private String inCount;

    private String inDetailTotalPrice;

    private Date inputTime;

    private Integer state;

    private Integer productiveYear;

    private String remainingNumber;

    private String outPrice;

    private String outCount;

    private String outDetailTotalPrice;

    private String outRemainingNumber;
    
    
    // 业务字段
    private String planRemainingNumber;
    private String planOutRemainingNumber;
    
    
    
    

    public String getPlanOutRemainingNumber() {
		return planOutRemainingNumber;
	}

	public void setPlanOutRemainingNumber(String planOutRemainingNumber) {
		this.planOutRemainingNumber = planOutRemainingNumber;
	}

	public String getPlanRemainingNumber() {
		return planRemainingNumber;
	}

	public void setPlanRemainingNumber(String planRemainingNumber) {
		this.planRemainingNumber = planRemainingNumber;
	}

	/**
     * 计划合同通知单明细表
     * @return id 计划合同通知单明细表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 计划合同通知单明细表
     * @param id 计划合同通知单明细表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 出入库通知单表id
     * @return zid 出入库通知单表id
     */
    public Integer getZid() {
        return zid;
    }

    /**
     * 出入库通知单表id
     * @param zid 出入库通知单表id
     */
    public void setZid(Integer zid) {
        this.zid = zid;
    }

    /**
     * 类型 plan(计划) contract(合同) notice(通知单)
     * @return type 类型 plan(计划) contract(合同) notice(通知单)
     */
    public String getType() {
        return type;
    }

    /**
     * 类型 plan(计划) contract(合同) notice(通知单)
     * @param type 类型 plan(计划) contract(合同) notice(通知单)
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 仓房id
     * @return house_id 仓房id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房id
     * @param houseId 仓房id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 仓房名称
     * @return house_name 仓房名称
     */
    public String getHouseName() {
        return houseName;
    }

    /**
     * 仓房名称
     * @param houseName 仓房名称
     */
    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    /**
     * 货位id
     * @return warehouse_id 货位id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位id
     * @param warehouseId 货位id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 货位名称
     * @return warehouse_name 货位名称
     */
    public String getWarehouseName() {
        return warehouseName;
    }

    /**
     * 货位名称
     * @param warehouseName 货位名称
     */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 承储库点
     * @return org_id 承储库点
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 承储库点
     * @param orgId 承储库点
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 粮油品种
     * @return grain_kind 粮油品种
     */
    public Integer getGrainKind() {
        return grainKind;
    }

    /**
     * 粮油品种
     * @param grainKind 粮油品种
     */
    public void setGrainKind(Integer grainKind) {
        this.grainKind = grainKind;
    }

    /**
     * 明细品种
     * @return grain_detail_kind 明细品种
     */
    public Integer getGrainDetailKind() {
        return grainDetailKind;
    }

    /**
     * 明细品种
     * @param grainDetailKind 明细品种
     */
    public void setGrainDetailKind(Integer grainDetailKind) {
        this.grainDetailKind = grainDetailKind;
    }

    /**
     * 粮油等级
     * @return grain_grade 粮油等级
     */
    public Integer getGrainGrade() {
        return grainGrade;
    }

    /**
     * 粮油等级
     * @param grainGrade 粮油等级
     */
    public void setGrainGrade(Integer grainGrade) {
        this.grainGrade = grainGrade;
    }

    /**
     * 粮油性质
     * @return grain_attribute 粮油性质
     */
    public Integer getGrainAttribute() {
        return grainAttribute;
    }

    /**
     * 粮油性质
     * @param grainAttribute 粮油性质
     */
    public void setGrainAttribute(Integer grainAttribute) {
        this.grainAttribute = grainAttribute;
    }

    /**
     * 收获年度
     * @return grain_annual 收获年度
     */
    public Integer getGrainAnnual() {
        return grainAnnual;
    }

    /**
     * 收获年度
     * @param grainAnnual 收获年度
     */
    public void setGrainAnnual(Integer grainAnnual) {
        this.grainAnnual = grainAnnual;
    }

    /**
     * 粮油产地
     * @return grain_producing_area 粮油产地
     */
    public Integer getGrainProducingArea() {
        return grainProducingArea;
    }

    /**
     * 粮油产地
     * @param grainProducingArea 粮油产地
     */
    public void setGrainProducingArea(Integer grainProducingArea) {
        this.grainProducingArea = grainProducingArea;
    }

    /**
     * 轮入单价
     * @return in_price 轮入单价
     */
    public String getInPrice() {
        return inPrice;
    }

    /**
     * 轮入单价
     * @param inPrice 轮入单价
     */
    public void setInPrice(String inPrice) {
        this.inPrice = inPrice == null ? null : inPrice.trim();
    }

    /**
     * 轮入数量
     * @return in_count 轮入数量
     */
    public String getInCount() {
        return inCount;
    }

    /**
     * 轮入数量
     * @param inCount 轮入数量
     */
    public void setInCount(String inCount) {
        this.inCount = inCount == null ? null : inCount.trim();
    }

    /**
     * 轮入总价
     * @return in_detail_total_price 轮入总价
     */
    public String getInDetailTotalPrice() {
        return inDetailTotalPrice;
    }

    /**
     * 轮入总价
     * @param inDetailTotalPrice 轮入总价
     */
    public void setInDetailTotalPrice(String inDetailTotalPrice) {
        this.inDetailTotalPrice = inDetailTotalPrice == null ? null : inDetailTotalPrice.trim();
    }

    /**
     * 入库时间
     * @return input_time 入库时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 入库时间
     * @param inputTime 入库时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 轮换计划（0：轮入，1：轮出）
     * @return state 轮换计划（0：轮入，1：轮出）
     */
    public Integer getState() {
        return state;
    }

    /**
     * 轮换计划（0：轮入，1：轮出）
     * @param state 轮换计划（0：轮入，1：轮出）
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 生产年份
     * @return productive_year 生产年份
     */
    public Integer getProductiveYear() {
        return productiveYear;
    }

    /**
     * 生产年份
     * @param productiveYear 生产年份
     */
    public void setProductiveYear(Integer productiveYear) {
        this.productiveYear = productiveYear;
    }

    /**
     * 轮入剩余数量
     * @return remaining_number 轮入剩余数量
     */
    public String getRemainingNumber() {
        return remainingNumber;
    }

    /**
     * 轮入剩余数量
     * @param remainingNumber 轮入剩余数量
     */
    public void setRemainingNumber(String remainingNumber) {
        this.remainingNumber = remainingNumber == null ? null : remainingNumber.trim();
    }

    /**
     * 轮出单价
     * @return out_price 轮出单价
     */
    public String getOutPrice() {
        return outPrice;
    }

    /**
     * 轮出单价
     * @param outPrice 轮出单价
     */
    public void setOutPrice(String outPrice) {
        this.outPrice = outPrice == null ? null : outPrice.trim();
    }

    /**
     * 轮出数量
     * @return out_count 轮出数量
     */
    public String getOutCount() {
        return outCount;
    }

    /**
     * 轮出数量
     * @param outCount 轮出数量
     */
    public void setOutCount(String outCount) {
        this.outCount = outCount == null ? null : outCount.trim();
    }

    /**
     * 轮出总价
     * @return out_detail_total_price 轮出总价
     */
    public String getOutDetailTotalPrice() {
        return outDetailTotalPrice;
    }

    /**
     * 轮出总价
     * @param outDetailTotalPrice 轮出总价
     */
    public void setOutDetailTotalPrice(String outDetailTotalPrice) {
        this.outDetailTotalPrice = outDetailTotalPrice == null ? null : outDetailTotalPrice.trim();
    }

    /**
     * 轮出剩余数量
     * @return out_remaining_number 轮出剩余数量
     */
    public String getOutRemainingNumber() {
        return outRemainingNumber;
    }

    /**
     * 轮出剩余数量
     * @param outRemainingNumber 轮出剩余数量
     */
    public void setOutRemainingNumber(String outRemainingNumber) {
        this.outRemainingNumber = outRemainingNumber == null ? null : outRemainingNumber.trim();
    }
}